%define rel 1

%define git 0

%if %{git}
%define release %mkrel 0.%{git}.%rel
%else
%define release %mkrel %rel
%endif

Summary:        PulseAudio Preferences
Name:           paprefs
Version:        1.2
Release:        %{release}
License:        GPLv2
Group:          Sound/Utilities
Url:            https://freedesktop.org/software/pulseaudio/paprefs/
%if %{git}
Source0:        %{name}-%{git}.tar.xz
%else
Source0:        https://freedesktop.org/software/pulseaudio/paprefs/%{name}-%{version}.tar.xz
%endif
Source1:        %{name}.svg
Patch0002:      paprefs-0.9.10-rosa-ru-l10n.patch
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(giomm-2.4)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(tidy)
BuildRequires:  intltool
BuildRequires:  gettext-devel
BuildRequires:  lynx
BuildRequires:  meson
BuildRequires:  tidy
BuildRequires:  desktop-file-utils

Requires:       pulseaudio-module-gsettings >= 12.2-3.mga7
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
PulseAudio Preferences is a simple GTK based configuration dialog for
the PulseAudio sound server.

Please note that this program can only configure local servers, and
requires that a special module module-gconf is loaded in the sound
server.

%prep
%if %{git}
%setup -q -n %{name}
%else
%setup -q
%endif
%autopatch -p1

%build
%meson -Dlynx=true
%meson_build

%install
%meson_install

install -D -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
sed -i "s/^Icon=.*/Icon=%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="System" \
  --add-category="X-Mageia-CrossDesktop" \
  --remove-key="Encoding" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc build/doc/README*
%license LICENSE
%{_bindir}/%name
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.glade
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Mon Mar 14 2022 tv <tv> 1.2-1.mga9
+ Revision: 1790895
- Update to 1.2

* Sat Feb 15 2020 umeabot <umeabot> 1.1-3.mga8
+ Revision: 1525489
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 umeabot <umeabot> 1.1-2.mga7
+ Revision: 1392854
- Rebuild with meson 0.50.1

* Sat Apr 13 2019 wally <wally> 1.1-1.mga7
+ Revision: 1389679
- new version 1.1

* Wed Dec 12 2018 barjac <barjac> 1.0-3.mga7
+ Revision: 1340647
- Removed module-gconf require and replaced with -gsettings
- Fixes Mga#23963 (paprefs does not start)

* Tue Sep 11 2018 daviddavid <daviddavid> 1.0-2.mga7
+ Revision: 1258292
- really enable Tidy support

* Tue Sep 11 2018 daviddavid <daviddavid> 1.0-1.mga7
+ Revision: 1258287
- new version: 1.0
- switch to meson build system
- update URL and Source URL
- remove merged upstream patch
- enable Tidy support

* Sun Jun 03 2018 wally <wally> 0.9.10-14.mga7
+ Revision: 1234190
- fix build on aarch64
+ tv <tv>
- rebuild for new gtkmm-2.4

* Wed Mar 01 2017 ghibo <ghibo> 0.9.10-12.mga6
+ Revision: 1088298
- Rebuilt against pulseaudio 10

* Fri Feb 12 2016 umeabot <umeabot> 0.9.10-11.mga6
+ Revision: 956590
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 blino <blino> 0.9.10-10.mga6
+ Revision: 879702
- fix build by compiling for c++1

* Sun Jul 12 2015 alexl <alexl> 0.9.10-9.mga6
+ Revision: 853456
- added Russian l10n

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10-8.mga5
+ Revision: 744748
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.10-7.mga5
+ Revision: 683332
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.10-6.mga4
+ Revision: 508877
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.10-5.mga3
+ Revision: 362389
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 barjac <barjac> 0.9.10-4.mga3
+ Revision: 344859
- update group
- update license
- changed invalid BR to pkgconfig(libglademm-2.4)

* Fri Sep 07 2012 dams <dams> 0.9.10-3.mga3
+ Revision: 289611
- new icon for a better rendering
- clean specfile

* Sun Nov 06 2011 colin <colin> 0.9.10-2.mga2
+ Revision: 164347
- Do not require rebuild for new PA versions.

* Tue Sep 27 2011 colin <colin> 0.9.10-1.mga2
+ Revision: 149322
- New version: 0.9.10

* Thu Feb 24 2011 mikala <mikala> 0.9.9-7.mga1
+ Revision: 58755
- Clean spec (remove mdk macros,Use of Mandriva categories)
- imported package paprefs

